.clock {
    text-align: center;
    font-family: sans-serif;
    border-radius: 5px;
    margin: -30px;
    background-image: url("https://img.freepik.com/premium-photo/3d-illustration-round-clock-stopwatch-black-background-stopwatch-icon-logo-chronometer-vintage-timer_116124-11465.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    min-height: 350px;
}

.clock p {
    color: #fff;
    padding-top: 16px;
    font-weight: bold;
    font-size: 15px;

}

#ht-clockdiv {
    font-family: sans-serif;
    color: #fff;
    display: inline-block;
    text-align: center;
    font-size: 24px;
    padding-bottom: 30px;
    padding-top: 30px;
}

#ht-clockdiv > div.time-block {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

div.time-block > div {
    position: relative;
    height: 85px;
    width: 70px;
    border-radius: 15px;
    background: rgba(0,0,0,0.4);
    display: inline-block;
    border: 2px solid #fdfdfd;
    margin-right: 20px;
}

#ht-clockdiv div > span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 40px;
    font-weight: 500;
    padding: 5px;
    color: #d04a02;
    display: inline-block;
}

.clock .smalltext {
    position: absolute;
    top: 85%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding-top: 5px;
    font-size: 15px;
}

.code-widget .panel {
    background-color: transparent !important;
}

#ht-clock-link {
    display: none;
    padding: 10px;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 5px;
    background-color: #d04a02;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    border: none;
    text-decoration: none;
}

#ht-clock-link:hover, #ht-clock-link:active, #ht-clock-link:focus {
    background-color: #ff6a3d;
}

#ht-clock-expired {
    display: none;
    color: #fff;
    font-size: 20px;
}

/* confetti */
#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
}

#modal {
    width: 100%;
    height: 100%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

canvas {
    display: block;
}
